Subject: Is this a BUG? Please Help Me !

From: "liuquan" <[email-masked]>
Date: Fri, 24 Jul 2015 16:20:10 +0800

Dear, engineer! 
I'm writing this E-mail to you since I think I've found something wrong in Ubuntu!
My Operating System here is Ubuntu Kylin 14.04.
I find a question about command 'paste' in command line.
Support there is a file called "test.txt", and its content is the next 2 lines:
ab
cd
If I run the command "paste test.txt", the content of this file will be print at STDOUT. However, when I ran the command "paste test.txt > test.txt" I found that the file "test.txt" became an empty file. Here comes the question, what's going on? Can you help me?

Yours faithfully,
Quan Liu from Central South University!
 
2015-07-24

Quan Liu